body {
  display: flex;
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
  background: #0f0f0f;
  min-height: 100vh;
  justify-content: center;
  align-items: center;
}

.cube {
  transform-style:preserve-3d;
  transition: 0s;
  transform-origin: 7.5em 7.5em;
  position: relative;
  width: 15em;
  height: 15em;

}

.face1 {
  background: url(PicturesPornibay/CyanFlamesExplode.gif);
  transform: rotateX(90deg) translate3d(0, 7.5em, 0);
  transform-origin: bottom;
}

.face2 {
  background: url(PicturesPornibay/headeryellow.gif);
  transform: translate3d(0, 0, 7.5em);

}

.face3 {
  background: url(PicturesPornibay/WhiteAngelPornicorn.gif);
  transform: rotateY(90deg) translate3d(-7.5em, 0, 0);
  transform-origin: left;
}

.face4 {
  background: url(PicturesPornibay/pornibayGif.gif);
  transform: rotateX(-90deg) translate3d(0, -7.5em, 0);
  transform-origin: top;
}

.face5 {
  background: url(PicturesPornibay/pornibay_HeavenRealm.png);
  transform: rotateY(-90deg) translate3d(7.5em, 0, 0);
  transform-origin: right;
}

.face6 {
  background: url(PicturesPornibay/pornibay.png);
  transform: translate3d(0, 0, -7.5em);
}

.face {
  width: 15em;
  height: 15em;
  transition: 0s;
  position: absolute;
  background-size: cover;
  background-position: center;
  user-select: none;
}

.face::before {
  position: absolute;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.3);
  width: 100%;
  height: 100%;
  z-index: 0;
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 6.4em;
  transition: 0s;
}

.face:hover:before {
  opacity: 1;
}

.button-body {
  background: #000;
  font-family: Arial, sans-serif;
  margin: 0;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

* {
  box-sizing: border-box;
}

.rgb-border {
  background: #24001c;
  background: linear-gradient(
    155deg,
    #706ae2 0%,
    rgb(221, 87, 87) 0%,
    #d8ac56 12%,
    #dbe517 24%,
    #46e84b 36%,
    #5be1ef 48%,
    #5c5fe3 60%,
    #ec51df 72%,
    rgb(219, 105, 105) 84%,
    #e2b465 96%
  );
  width: 11em;
  height: 4em;
  margin: 2em;
  margin-bottom: 4em;
  position: relative;
  animation: gradient 55s linear infinite;
}

.rgb-border::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  background: inherit;
  filter: blur(4px);
}

.rgb-border .btn {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: linear-gradient(
    135deg,
    #000 0%,
    #1f1f1f 100%
  );
  width: 9.8em;
  height: 3.3em;
  text-align: center;
  text-decoration: none;
  padding: 1.1em;
  color: #fff;
  font-size: 1.1em;
  letter-spacing: 1px;
}

@keyframes gradient {
  0% {
    background-position: 0 0;
  }
  50% {
    background-position: 18.75em 31.25em;
  }
  100% {
    background-position: 0.1em 0.1em;
  }
}